Subject: RE: Ethernet Circuit Types

From: "Nick Tingle" <[email-masked]>
Date: Thu, 25 Jul 2002 16:03:40 -0700

There seems to be an assumption by some people that removing the VLAN mode as a
VC type will mean that certain non-tag-stripping hardware will become obsolete
or incompatible. This is not the case, as all that is being suggested is that
the choice of NSPs at each end is no longer implied by/dependent on the VC type,
but is moved to other places in the signalling (or to other WGs).

Does everyone agree that adding/removing VLAN tags to/from packets as they
enter/leave the PW is an NSP function? Does anyone see anywhere in the
framework/charter which would justify the definition or negotiation of such NSPs
in PWE3?

Alternatively, given such external NSP definitions/negotiations, can anyone come
up with an example where a single 'raw' Ethernet PW type would not suffice?

Nick.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Luca
> Martini
> Sent: Thursday, July 25, 2002 1:44 PM
> To: Ali Sajassi
> Cc: David Zelig; [email-masked]
> Subject: Re: [PWE3] Ethernet Circuit Types
>
>
>
> snip.
>
>
> >> I think the following definition will cover all cases:
> >> - use raw mode whenever more than one VLAN or the whole port
> >> independent of
> >> the VLAN scheme is associated to the PW.
> >> - The NSP can strip/add VLAN fields and may forward from the same
> >> physical
> >> port to different PW on whatever scheme he wants.
> >> - Use VLAN mode when you carry only one VLAN, and carry the VLAN field
> >> inside. The internal value of the VLAN field may be dependant on the
> >> capabilities of the peers.
> >> (no one prevent you from using raw mode to carry one VLAN only, but it is
> >> the provider selection if he want the extra configuration coordination
> >> between the sites).
> >
> >
> > Still all you need is just a raw mode since with the raw mode you can do
> > what ever you could do with VLAN mode. Lets remind ourselves that we are
> > talking about the VC type in here and not the operations performed at
> > the NSP.
> >
> > -Ali
> >
>
>
> I totally disagree. raw mode is not sufficient. On what grounds do
> you arbitrarily discard the 802.1P bits ?
>
> Vlan mode makes the PW transparent, why would we reduce this transparency ?
> I would have to change my network architecture, and reduce the
> service offered
> without the VLAN mode.
>
> Luca
>
>
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Eric Rosen <[email-masked]>
Date: Fri, 26 Jul 2002 10:12:20 -0400

Luca> I totally disagree. raw mode is not sufficient. On what grounds do you
Luca> arbitrarily discard the 802.1P bits ? 

Luca, I'm not  sure you're paying attention.  The proposal  is that there be
one circuit  type, and what  you send on  it is whatever the  NSP determines
needs to be sent.  No one has ever suggested arbitrarily discarding anything.

Luca> Vlan  mode  makes  the  PW  transparent,  why  would  we  reduce  this
Luca> transparency ? 

No one has suggested reducing any transparency.

Luca> I would have to change my network architecture, and reduce the service
Luca> offered without the VLAN mode.

No, the point is  that you could do exactly the same  thing with one mode as
you can do with two, except more simply.